Summary:	Gives a fake root environment
Name:		fakeroot
Version:	1.22
Release:	%mkrel 1
License:	GPL
Group:		Development/Other
URL:		http://fakechroot.alioth.debian.org/
Source0:	ftp://ftp.debian.org/debian/pool/main/f/fakeroot/fakeroot_%{version}.orig.tar.xz

# patches from Debian
Patch0: debian_eglibc-fts-without-LFS.patch
Patch1: debian_glibc-xattr-types.patch
Patch2: debian_fix-shell-in-fakeroot.patch
Patch3: debian_hide-dlsym-error.patch
# Address some POSIX-types related problems.
Patch4: fakeroot-inttypes.patch
# Fix LD_LIBRARY_PATH for multilib: https://bugzilla.redhat.com/show_bug.cgi?id=1241527
Patch5: fakeroot-multilib.patch

BuildRequires:	libstdc++-devel
BuildRequires:  sharutils
BuildRequires:  util-linux-ng
BuildRequires:  libacl-devel
BuildRequires:	libcap-devel 

%description
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%prep
%setup -q
%apply_patches

for file in ./doc/*/*.1; do
  %{_bindir}/iconv -f latin1 -t utf8 < $file > $file.new
  %{__mv} -f $file.new $file
done

# anti version hack
%{__perl} -pi -e "s|-release 0|-avoid-version|g" Makefile*

%build
%configure2_5x \
    --disable-dependency-tracking \
    --disable-static \
    --with-ipc=sysv \
    --libdir=%{_libdir}/libfakeroot
%make

%install
rm -rf %buildroot
%{makeinstall_std} libdir=%{_libdir}/libfakeroot

%{__rm} %{buildroot}%{_libdir}/libfakeroot/*.la

# the french man page is in man-pages-fr-1.58.0-18mdk, nuke this one to prevent file clash
%{__rm} -r %{buildroot}%{_mandir}/fr/man*

%files
%defattr(-,root,root,0755)
%doc AUTHORS BUGS COPYING DEBUG INSTALL README 
%{_bindir}/*
%{_libdir}/libfakeroot
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(sv) %{_mandir}/sv/man*/*
%lang(pt) %{_mandir}/pt/man*/*


%changelog
* Wed Dec 06 2017 Zen Subz <techars21 at gmail dot com> - 1.22-1pclos2017
- New source imported from Debian/Fedora

* Sat Nov 21 2015 bb <bb> 1.20.2-1pclos2015
- update

* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 1.20-1.pclos2014
- imported package
